VismaBouwsoftAPICalls.v1_GET_CostCalculationVariables Method
v1_GET_CostCalculationVariables() as String

This API call is used to get fields of a(n) CostCalculationVariable(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /CostCalculationVariables/
or
API Path: /CostCalculationVariables/{id}
or
API Path: /CostCalculationVariables/FieldInfo/

You can make this API call:
* without the key field id to get a list of CostCalculationVariables
* with the key field id as the path parameter (the specific id of the CostCalculationVariable you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
parent_id 1 tpLong 0 No No No
parent_type 2 tpString 0 No No No
order_id 1 tpLong 0 No No No
order_dc_id 1 tpLong 0 No No No
orderline_id 1 tpLong 0 No No No
item_id 1 tpLong 0 No No No
page 1 tpLong 0 No No No
name 2 tpString 5 Yes Yes No
description 2 tpString 0 No No No
value 4 tpDouble 0 No No No
source 1 tpLong 0 No No No
source_parent_id 1 tpLong 0 No No No

/CostCalculationVariables/

API Path: /CostCalculationVariables/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculationVariables

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OklfWxfbjlzSfArrlfzRqPGIfbljGfmOfrIbzmDItOjfDtflbb

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: nextid, ParameterValue:
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/3215”, “Records”: [
  {
    "id": 1,
    "parent_id": 348,
    "parent_type": "orderline",
    "order_id": 33,
    "order_dc_id": 0,
    "orderline_id": 348,
    "item_id": 0,
    "page": 1,
    "name": "H",
    "description": "Hoogte",
    "value": 2.15
  },
  {
    "id": 2,
    "parent_id": 348,
    "parent_type": "orderline",
    "order_id": 33,
    "order_dc_id": 0,
    "orderline_id": 348,
    "item_id": 0,
    "page": 1,
    "name": "B",
    "description": "Breedte",
    "value": 0.93
  }
,

]
}

https://ra.bouwsoft.be/api/v1/CostCalculationVariables

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lDkfWxfVjfzSfPbImfzRqfUffOmIfGjGfDOkzGUlDbOGVbVmUb

Query Parameters :
ParameterName: filter, ParameterValue: parent_id eq 348
ParameterName: limit, ParameterValue:
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–3/4”, “Records”: [
  {
    "id": 1,
    "parent_id": 348,
    "parent_type": "orderline",
    "order_id": 33,
    "order_dc_id": 0,
    "orderline_id": 348,
    "item_id": 0,
    "page": 1,
    "name": "H",
    "description": "Hoogte",
    "value": 2.15
  },
  {
    "id": 2,
    "parent_id": 348,
    "parent_type": "orderline",
    "order_id": 33,
    "order_dc_id": 0,
    "orderline_id": 348,
    "item_id": 0,
    "page": 1,
    "name": "B",
    "description": "Breedte",
    "value": 0.93
  }
,

]
}

/CostCalculationVariables/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculationVariables/44102

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OfjfWxfkOVzSfrVfIfzRqGftfmbVGfjIfbVbzDfUAGrfAtVGAP

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 44102,
    "parent_id": 348,
    "parent_type": "orderline",
    "order_id": 33,
    "order_dc_id": 0,
    "orderline_id": 348,
    "item_id": 0,
    "page": 1,
    "name": "AP",
    "description": "APIVar",
    "value": 2
  }
]
}

/CostCalculationVariables/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculationVariables/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "parent_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "parent_type",
    "type_id": 2,
    "type_name": "tpString",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]